from edge.com import fs


# noinspection PyClassHasNoInit
class CtrlUiconf:
    _CONF_PATH = '/etc/edge/setupstore/admin/actions/controller.json'

    @classmethod
    def get_systest(cls):
        """
        :rtype: bool
        """
        if fs.path_exists(cls._CONF_PATH):
            uiconf = fs.load_json3(cls._CONF_PATH)
            return uiconf['ro'].get('systest', False)

        return False

    @classmethod
    def set_systest(cls, systest):
        """
        :type systest: bool
        :rtype: None
        """
        uiconf = {
            'ro': {
                'systest': systest
            }
        }

        fs.write_json_file(uiconf, cls._CONF_PATH, pretty=True)
